Subject: Re: resource deadlock avoided messages

From: Sergey Matveev <[email-masked]>
Date: Mon, 25 Sep 2023 19:14:39 +0300

*** goredo [2023-09-24 13:17]:
>Is it really an issue when goredo is unable to grab a lock?

I read man page about fcntl's locking mechanisms and discovered that
Linux kernel can issue EDEADLK error even if no deadlock actually
exists, that is expected/known behaviour. So in 1.32.0 release I
explicitly check for that error and silently retry taking the lock. At
last that message will disappear. Do not know why I missed that issue
description in the man page.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: 12AD 3268 9C66 0D42 6967  FD75 CB82 0563 2107 AD8A